use infmort, clear

gen mis = missing(infmort, gdppc)
bys countryname mis (year) : gen initmort = infmort[1]
bys countryname (initmort) : replace initmort = initmort[1]
replace initmort = -initmort
egen Country = axis(initmort), label(countryname)

tempfile temp
save `temp'

keep infmort Country gdppc year
reshape wide infmort gdppc, j(Country) i(year)
merge 1:m year using `temp'

forvalues i = 1/17 {
    local backgr `backgr' line infmort`i' gdppc`i', ///
                          lcolor(gs12) lpattern(solid) ||
}

sort Country year
twoway `backgr'                                ///
    line infmort gdppc,                        ///
    lcolor(black) lwidth(*1.5) lpattern(solid) /// 
    yscale(log) xscale(log)                    ///
    ylab( 2 5 10 20 50 100 200)                ///
    xlab(1e3 1e4 1e5, format(%9.0gc))          ///
    by(Country, compact note("") legend(off))  ///
    name(byscatter3, replace)
