forvalues i = 1/17 {
    local backgr `backgr' line infmort`i' gdppc`i', ///
                          lcolor(gs12) lpattern(solid) ||
}

bys Country mis (year) : gen xmark = gdppc   if (_n == 1 | _n == _N)
bys Country mis (year) : gen ymark = infmort if (_n == 1 | _n == _N)
bys Country mis (year) : gen byte labpos = cond(_n==1,12,3)
bys Country mis (year) : replace labpos = 3 if inlist(Country, 1, 2) & _n == 1
bys Country mis (year) : replace labpos = 1 if inlist(Country, 4, 12) & _n == 1
bys Country mis (year) : replace labpos = 6 if Country == 17 & _n==_N

sort Country year
twoway `backgr'                                                    ///
    line infmort gdppc,                                            ///
    lcolor(black) lwidth(*1.5) lpattern(solid)                     /// 
    yscale(log) xscale(log)                                        ///
    ylab( 2 5 10 20 50 100 200)                                    ///
    xlab(1e3 1e4 1e5, format(%9.0gc))                              ///
    by(Country, compact note("") legend(off))                      ///
    name(byscatter4, replace)                                   || ///
    scatter ymark xmark, msymbol(i)                                ///
    mlabel(year) mlabvpos(labpos)                                  ///
    ytitle("infant mortality (per 1,000 live births)", size(*.75)) ///
    xtitle("GDP per capita (PPPs, 2011 US {c S|})", size(*.75))
